<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="/">
        <HTML>
            <BODY>
                <H1>File statistic</H1>
                <TABLE BORDER="1">
                    <TR BGCOLOR="#9acd32">
                        <TD>File name</TD>
                        <TD>Word count (wcount)</TD>
                        <TD>Word count 1 (wcount1)</TD>
                    </TR>
                    <xsl:for-each select="/report/files/file">
                        <xsl:apply-templates select="."/>
                    </xsl:for-each>
                </TABLE>

                <H1>Directory statistic</H1>
                <TABLE BORDER="1">
                    <TR BGCOLOR="#9acd32">
                        <TD>Directory name</TD>
                        <TD>Word count (wcount)</TD>
                        <TD>Word count 1 (wcount1)</TD>
                    </TR>
                    <xsl:for-each select="/report/directories/directory">
                        <xsl:apply-templates select="."/>
                    </xsl:for-each>
                </TABLE>

                <H1>Processor alias statistic</H1>
                <TABLE BORDER="1">
                    <TR BGCOLOR="#9acd32">
                        <TD>Processor name</TD>
                        <TD>Word count (wcount)</TD>
                        <TD>Word count 1 (wcount1)</TD>
                    </TR>
                    <xsl:for-each select="/report/aliases/alias">
                        <xsl:apply-templates select="."/>
                    </xsl:for-each>
                </TABLE>

                <H1>Overall statistic</H1>
                <TABLE BORDER="1">
                    <TR BGCOLOR="#9acd32">
                        <TD>Overall</TD>
                        <TD>Word count (wcount)</TD>
                        <TD>Word count 1 (wcount1)</TD>
                    </TR>
                    <xsl:for-each select="/report/overall">
                        <xsl:apply-templates select="."/>
                    </xsl:for-each>
                </TABLE>

            </BODY>
        </HTML>
    </xsl:template>

    <xsl:template match="*">
        <TR>
            <TD><xsl:value-of select="@name"/></TD>
            <TD><xsl:value-of select="wcount"/></TD>
            <TD><xsl:value-of select="wcount1"/></TD>
        </TR>
    </xsl:template>

</xsl:stylesheet>
